%define	name	octave-forge
%define	version	2005.06.13
%define	release	1mdk

%define octave_version 2.1.71
%define qhull_version 2003.1
# (Abel) GiNaC <= 1.3.0-1mdk placed header at fantastic location
%define ginac_version 1.3.2-1mdk

Summary:	Custom scripts, functions and extensions for GNU Octave
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Public Domain
Group:		Sciences/Mathematics
Source0:	http://download.sourceforge.net/octave/%{name}-%{version}.tar.bz2
Patch0:		%{name}-2005.06.13-destdir.patch.bz2
Patch1:		%{name}-2005.06.13-legend.patch.bz2
URL:		http://octave.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	octave >= %{octave_version}
Requires:	libqhull >= %{qhull_version}
BuildRequires:	gsl-devel
BuildRequires:	gcc-gfortran
BuildRequires:	ginac-devel >= %{ginac_version}
BuildRequires:	hdf5-devel
BuildRequires:	jpeg-devel
BuildRequires:	lapack-devel
BuildRequires:	libfftw-devel
BuildRequires:	libqhull-devel >= %{qhull_version}
BuildRequires:	libreadline-devel
BuildRequires:	ncurses-devel
BuildRequires:	octave >= %{octave_version}
BuildRequires:	pcre-devel
BuildRequires:	png-devel
BuildRequires:	termcap-devel
BuildRequires:	texi2html
BuildRequires:	texinfo
Obsoletes:	%{name}-devel
Provides:	%{name}-devel

%description
The octave-forge package contains the source for all the functions plus
build and install scripts. These are designed to work with the latest
development version of Octave (available from
http://www.octave.org/download.html), but most functions will work on
earlier versions of Octave including 2.0.x versions.

%prep
%setup -q
%patch0 -p1 -b .destdir
%patch1 -p0 -b .legend

%build
%configure
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

find %{buildroot}%{_datadir}/octave/%{octave_version}/site/m/%{name} \
  -type f -name "*.m" -exec %{__perl} -pi -e 's|\r$||g' {} \;

find %{buildroot} -type f -name '*.oct' -print0 \
  | xargs -0 -r strip --strip-unneeded

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog COPYING* README RELEASE-NOTES TODO
#%{_bindir}/*
%{_datadir}/octave
%{_libdir}/octave
#%{_mandir}/*/*

%changelog
* Wed Aug 31 2005 David Walluck <walluck@mandriva.org> 0:2005.06.13-1mdk
- 2005.06.13
- rediff patch0
- rebuild (bug #17371)

* Fri Apr 22 2005 David Walluck <walluck@mandriva.org> 0:2004.11.16-3mdk
- fix BuildRequires (bug #13364)

* Tue Feb 08 2005 Abel Cheung <deaddog@mandrake.org> 2004.11.16-2mdk
- Rebuild against new readline

* Mon Dec 27 2004 Abel Cheung <deaddog@mandrake.org> 2004.11.16-1mdk
- New release
- P1: Add support for CAPITA: CEO
- Fix BuildRequires
- Need not apply patch 0 now
- Bring back rasmol.sh
- Fix permission for .oct files
- Don't move header files and split package, because headaer files are not
  for public consumption (used internally), and mex really wants header
  files inside specific location

* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004.07.07-1mdk
- new release
- fix buildrequires
- fix download url
- patch 0: fix compiling with new g++

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0:2004.02.12-2mdk
- Own dirs

* Fri Feb 13 2004 David Walluck <walluck@linux-mandrake.com> 0:2004.02.12-1mdk
- 2004.02.04
- fix Source0 URL
- use `strip' instead of %%__strip
- use %%{_target_cpu} instead of i586

* Wed Oct 01 2003 David Walluck <walluck@linux-mandrake.com> 0:2003.06.02-1mdk
- release
